%{!?dist: %define dist .slc5}
Name: cern-get-certificate
Version: 0.0.1
Release: 1%{?dist}
Summary: cern-get-certificate - utility to acquire host certificate(s) at CERN
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Jaroslaw.Polok@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: openssl
Provides: %{name}

%if 0%{?rhel} >= 6
Requires: CERN-CA-certs >= 20120322-8.slc6
Requires: ca-certificates >= 2010.63-3.el6_1.5
%else
Requires: CERN-CA-certs >= 20120322-8.slc5
%endif

%description 
%{name} is a CERN utility which retrieves from CERN Certification
Authority host certificates and stores these on local system.

Please note that this tool is CERN specific and of no
use outside CERN network.

%prep
%setup -q

%build
make all

%install
mkdir -p $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_sbindir}/cern-get-certificate
%{_mandir}/man3/cern-get-certificate.3*
%{_sysconfdir}/sysconfig/cern-get-certificate
%{_sysconfdir}/logrotate.d/cern-get-certificate
%{_sysconfdir}/cron.daily/cern-get-certificate
%ghost %attr(600,root,root) /var/log/cern-get-certificate.log

%doc README cern-get-certificate.example-sysconfig

%changelog
* Wed Nov 26 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.0.1-1
- initial test release.
